From: Jeroen Dekkers <jeroen@dekkers.ch>
Date: Sun, 13 Jan 2019 11:52:23 +0100
Subject: Do not use OpenSSL when we are configured to use GnuTLS

---
 UI/MailPartViewers/UIxMailPartSignedViewer.m | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: sogo/UI/MailPartViewers/UIxMailPartSignedViewer.m
===================================================================
--- sogo.orig/UI/MailPartViewers/UIxMailPartSignedViewer.m
+++ sogo/UI/MailPartViewers/UIxMailPartSignedViewer.m
@@ -18,7 +18,7 @@
  * Boston, MA 02111-1307, USA.
  */
 
-#if defined(HAVE_OPENSSL) || defined(HAVE_GNUTLS)
+#ifdef HAVE_OPENSSL
 #include <openssl/bio.h>
 #include <openssl/err.h>
 #include <openssl/cms.h>
@@ -46,7 +46,7 @@
 @implementation UIxMailPartSignedViewer : UIxMailPartMixedViewer
 
 
-#if defined(HAVE_OPENSSL) || defined(HAVE_GNUTLS)
+#ifdef HAVE_OPENSSL
 - (BOOL) supportsSMIME
 {
   return YES;
